ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021561ClearOSapp-network - Network Settingspublic2018-09-24 14:592018-10-24 17:58
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0021561: Remove old wireless support
DescriptionUntested and unchampioned wireless support is in the Network API. Keep detection, but remove the configuration options.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008211)
marclaporte (manager)
2018-10-20 08:46

I see: https://gitlab.com/clearos/clearfoundation/app-network/commit/7e3badd40f805c8ec8db86b6b8b3a05f1bccaa5b [^]

For WikiSuite, we want to achieve the following with ClearOS on a laptop with 4G cards:
http://wikisuite.org/ClearOS-Portable-Load-Balancing-4G-Multi-WAN-Router-and-Wireless-Access-Point [^]

And thus, we'll need to address http://wikisuite.org/ClearOS-WIFI-Support [^]

This is a low priority, but as our developers gain more experience, we'll sooner or later get to this.
(0008221)
pbaldwin (administrator)
2018-10-20 14:21

We can certainly re-add wireless support when needed. The implementation was old, probably not working and unmaintained.
(0008231)
pbaldwin (administrator)
2018-10-20 14:23

Note: most of the heavy lifting is done in the app-wireless app. The app-network package should only handle client-side wireless connections (and hand off wireless interfaces to app-wireless).

- Issue History
Date Modified Username Field Change
2018-09-24 14:59 pbaldwin New Issue
2018-09-24 14:59 pbaldwin Status new => confirmed
2018-09-24 18:58 pbaldwin Status confirmed => resolved
2018-09-24 18:58 pbaldwin Fixed in Version => 7.5.0 Updates
2018-09-24 18:58 pbaldwin Resolution open => fixed
2018-09-24 18:58 pbaldwin Assigned To => pbaldwin
2018-10-20 08:46 marclaporte Note Added: 0008211
2018-10-20 14:21 pbaldwin Note Added: 0008221
2018-10-20 14:23 pbaldwin Note Added: 0008231
2018-10-24 17:58 pbaldwin Status resolved => closed